Replace credit note items
curl --request PUT \
--url https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"data": [
{
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"tax": 1250,
"unit": "pieces",
"unit_price": 5000
}
]
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items"
payload = { "data": [
{
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"tax": 1250,
"unit": "pieces",
"unit_price": 5000
}
] }
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: [
{
description: 'Premium version of Product XYZ with extended warranty',
name: 'Product XYZ',
quantity: 2,
tax: 1250,
unit: 'pieces',
unit_price: 5000
}
]
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2024-01-15T14:30:00Z",
"updated_at": "2024-01-15T14:30:00Z",
"credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
"created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"subtotal": 10000,
"tax": 20,
"tax_amount": 2000,
"total": 12000,
"unit": "pieces",
"unit_price": 5000
}
],
"next_pagination_token": "eyJwYWdlIjoyfQ==",
"prev_pagination_token": "eyJwYWdlIjoxfQ=="
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Credit notes
Replace credit note items
PUT
/
finops
/
v1
/
payable-credit-notes
/
{credit_note_id}
/
line-items
Replace credit note items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
application/json
Schema for replacing all line items of a credit note.
List of credit note line items to replace existing ones
Show child attributes
Show child attributes
Response
Successful Response
A paginated list of credit note line items.
List of credit note line items for the current page
Show child attributes
Show child attributes
Token to retrieve the next page of results
Example:
"eyJwYWdlIjoyfQ=="
Token to retrieve the previous page of results
Example:
"eyJwYWdlIjoxfQ=="
Was this page helpful?